Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SaveApplicationLogEvent

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SaveApplicationLogEvent

Enclosing class:
  TdApi

public static final class TdApi.SaveApplicationLogEvent extends TdApi.Function<TdApi.Ok>
Saves application log event on the server. Can be called before authorization.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Optional chat identifier, associated with the event.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.JsonValue`
`data`
The log event data.
`String`
`type`
Event type.

## Constructor Summary

Constructors
Constructor
Description
`SaveApplicationLogEvent()`
Saves application log event on the server.
`SaveApplicationLogEvent(DataInput input)`
Saves application log event on the server.
`SaveApplicationLogEvent(String type, long chatId, TdApi.JsonValue data)`
Saves application log event on the server.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public String type
Event type.

### chatId

public long chatId
Optional chat identifier, associated with the event.

### data

public TdApi.JsonValue data
The log event data.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SaveApplicationLogEvent

public SaveApplicationLogEvent()
Saves application log event on the server. Can be called before authorization.

Returns `Ok`

### SaveApplicationLogEvent

public SaveApplicationLogEvent(String type, long chatId, TdApi.JsonValue data)
Saves application log event on the server. Can be called before authorization.

Returns `Ok`

Parameters:
  `type` - Event type.
  `chatId` - Optional chat identifier, associated with the event.
  `data` - The log event data.

  Returns `Ok`

### SaveApplicationLogEvent

public SaveApplicationLogEvent(DataInput input) throws IOException
Saves application log event on the server. Can be called before authorization.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`